- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Friends

# FbxGlobalTimeSettings Class Reference

Search for all occurrences

## Detailed Description

This class contains functions for accessing global time settings.

Remarks:
  This class exists for FBX version 6.x and earlier. The new FBX v7.x file format that is now the default no longer uses it. The relevant data (a subset of this class) has been moved to the FbxGlobalSettings object and should be used instead.

Definition at line 33 of file fbxglobaltimesettings.h.

`#include <fbxglobaltimesettings.h>`

List of all members.

## Classes
struct | TimeMarker
| This is a struct to define time markers. More...
## Public Types
enum | ESnapOnFrameMode { eNoSnap, eSnapOnFrame, ePlayOnFrame, eSnapAndPlayOnFrame }
| Snap on frame mode. More...
## Public Member Functions
| FBXSDK_FRIEND_NEW ()
void | RestoreDefaultSettings ()
| Restores the default settings.
void | SetTimeMode (FbxTime::EMode pTimeMode)
| Sets the time mode.
FbxTime::EMode | GetTimeMode () const
| Returns the time mode.
void | SetTimeProtocol (FbxTime::EProtocol pTimeProtocol)
| Sets the time protocol.
FbxTime::EProtocol | GetTimeProtocol () const
| Returns the time protocol.
void | SetSnapOnFrameMode (ESnapOnFrameMode pSnapOnFrameMode)
| Sets the snap on frame mode.
ESnapOnFrameMode | GetSnapOnFrameMode () const
| Returns the snap on frame mode.
const FbxGlobalTimeSettings & | operator= (const FbxGlobalTimeSettings &pGlobalTimeSettings)
| Assignment operator.
## Friends
class | FbxScene
## Time span of time line
void | SetTimelineDefautTimeSpan (const FbxTimeSpan &pTimeSpan)
| Sets the default time span of time line.
void | GetTimelineDefautTimeSpan (FbxTimeSpan &pTimeSpan) const
| Returns the default time span of time line.
## Time Markers
int | GetTimeMarkerCount () const
| Returns the number of time markers.
bool | SetCurrentTimeMarker (int pIndex)
| Sets the index of the current time marker.
int | GetCurrentTimeMarker () const
| Returns the current time marker index.
TimeMarker * | GetTimeMarker (int pIndex) const
| Returns the time marker at the given index.
void | AddTimeMarker (TimeMarker pTimeMarker)
| Adds a time marker.
void | RemoveAllTimeMarkers ()
| Removes all time markers and sets the current time marker index to -1.
## Error Management
enum | EErrorCode { eIndexOutOfRange, eErrorCount }
| Error identifiers, most of these are only used internally. More...
FbxError & | GetError ()
| Retrieves the error object.
EErrorCode | GetLastErrorID () const
| Returns the last error code.
const char * | GetLastErrorString () const
| Returns the last error string.
## Obsolete Functions
These functions still work but are no longer relevant.
void | SetSnapOnFrame (bool pSnapOnFrame)
| Sets the snap on frame mode flag.
bool | GetSnapOnFrame () const
| Returns the snap on frame mode flag.

## Member Enumeration Documentation

enum ESnapOnFrameMode

Search for all occurrences

Snap on frame mode.

Enumerator:

  eNoSnap | Search for all occurrences
  eSnapOnFrame | No snap. Search for all occurrences
  ePlayOnFrame | Snap on frame. Search for all occurrences
  eSnapAndPlayOnFrame | Play on frame. Snap and play on frame. Search for all occurrences

Definition at line 64 of file fbxglobaltimesettings.h.

        {
            eNoSnap,
            eSnapOnFrame,
            ePlayOnFrame,
            eSnapAndPlayOnFrame
        };

enum EErrorCode

Search for all occurrences

Error identifiers, most of these are only used internally.

- eIndexOutOfRange
- eErrorCount

Enumerator:

  eIndexOutOfRange | Search for all occurrences
  eErrorCount | Search for all occurrences

Definition at line 184 of file fbxglobaltimesettings.h.

        {
            eIndexOutOfRange,
            eErrorCount
        };

## Member Function Documentation

FBXSDK_FRIEND_NEW | ( |  | ) |

Search for all occurrences

void RestoreDefaultSettings | ( |  | ) |

Search for all occurrences

Restores the default settings.

void SetTimeMode | ( | FbxTime::EMode | pTimeMode | ) |

Search for all occurrences

Sets the time mode.

Parameters:

  pTimeMode | One of the defined modes in FbxTime class.

FbxTime::EMode GetTimeMode | ( |  | ) | const

Search for all occurrences

Returns the time mode.

Returns:
  The currently set time mode.

void SetTimeProtocol | ( | FbxTime::EProtocol | pTimeProtocol | ) |

Search for all occurrences

Sets the time protocol.

Parameters:

  pTimeProtocol | One of the defined protocols in FbxTime class.

FbxTime::EProtocol GetTimeProtocol | ( |  | ) | const

Search for all occurrences

Returns the time protocol.

Returns:
  The currently set time protocol.

void SetSnapOnFrameMode | ( | ESnapOnFrameMode | pSnapOnFrameMode | ) |

Search for all occurrences

Sets the snap on frame mode.

Parameters:

  pSnapOnFrameMode | One of the following values: eNoSnap, eSnapOnFrame, ePlayOnFrame, or eSnapAndPlayOnFrame.

ESnapOnFrameMode GetSnapOnFrameMode | ( |  | ) | const

Search for all occurrences

Returns the snap on frame mode.

Returns:
  The currently set snap on frame mode.

void SetTimelineDefautTimeSpan | ( | const FbxTimeSpan & | pTimeSpan | ) |

Search for all occurrences

Sets the default time span of time line.

Parameters:

  pTimeSpan | The time span of time line.

void GetTimelineDefautTimeSpan | ( | FbxTimeSpan & | pTimeSpan | ) | const

Search for all occurrences

Returns the default time span of time line.

Parameters:

  pTimeSpan | Holds the default time span of time line.

int GetTimeMarkerCount | ( |  | ) | const

Search for all occurrences

Returns the number of time markers.

Returns:
  The number of time markers.

bool SetCurrentTimeMarker | ( | int | pIndex | ) |

Search for all occurrences

Sets the index of the current time marker.

Parameters:

  pIndex | The current time marker index.

Returns:
  `True` if successful, or returns `false` if the index is not valid.

Remarks:
  If the index is not valid, FbxGlobalTimeSettings::GetLastErrorID() returns eIndexOutOfRange.

int GetCurrentTimeMarker | ( |  | ) | const

Search for all occurrences

Returns the current time marker index.

Returns:
  The current time marker index, or -1 if no current time marker has been set.

TimeMarker* GetTimeMarker | ( | int | pIndex | ) | const

Search for all occurrences

Returns the time marker at the given index.

Parameters:

  pIndex | The time marker index.

Returns:
  A pointer to the time marker at the given index, or `NULL` if the index is out of range.

Remarks:
  If the index is out of range, FbxGlobalTimeSettings::GetLastErrorID() returns eIndexOutOfRange.

void AddTimeMarker | ( | TimeMarker | pTimeMarker | ) |

Search for all occurrences

Adds a time marker.

Parameters:

  pTimeMarker | The new time marker to be added.

void RemoveAllTimeMarkers | ( |  | ) |

Search for all occurrences

Removes all time markers and sets the current time marker index to -1.

const FbxGlobalTimeSettings& operator= | ( | const FbxGlobalTimeSettings & | pGlobalTimeSettings | ) |

Assignment operator.

Parameters:

  pGlobalTimeSettings | FbxGlobalTimeSettings object assigned to this one.

FbxError& GetError | ( |  | ) |

Search for all occurrences

Retrieves the error object.

Returns:
  Reference to the error object.

EErrorCode GetLastErrorID | ( |  | ) | const

Search for all occurrences

Returns the last error code.

Returns:
  The last error code.

const char* GetLastErrorString | ( |  | ) | const

Search for all occurrences

Returns the last error string.

Returns:
  Text description of the last error.

void SetSnapOnFrame | ( | bool | pSnapOnFrame | ) |

Search for all occurrences

Sets the snap on frame mode flag.

Parameters:

  pSnapOnFrame | If `true`, snap on frame mode is set to eSnapOnFrame. If `false`, snap on frame mode is set to `eNoSnap`.

Remarks:
  This function is replaced by FbxGlobalTimeSettings::SetSnapOnFrameMode().

bool GetSnapOnFrame | ( |  | ) | const

Search for all occurrences

Returns the snap on frame mode flag.

Returns:
  `True` if the snap on frame mode is set to either eSnapOnFrame or ePlayOnFrame, returns `false` if the snap on frame mode is set to `eNoSnap`.

Remarks:
  This function is replaced by FbxGlobalTimeSettings::GetSnapOnFrameMode().

## Friends And Related Function Documentation

friend class FbxScene `[friend]`

Search for all occurrences

Definition at line 240 of file fbxglobaltimesettings.h.

The documentation for this class was generated from the following file:

- fbxsdk/fileio/fbxglobaltimesettings.h

FbxGlobalTimeSettings FbxGlobalTimeSettings FbxGlobalTimeSettings FbxGlobalTimeSettings FbxGlobalTimeSettings FbxGlobalTimeSettings FbxGlobalTimeSettings FbxGlobalTimeSettings FbxGlobalTimeSettings FbxGlobalTimeSettings
FbxGlobalTimeSettings FbxGlobalTimeSettings FbxGlobalTimeSettings FbxGlobalTimeSettings FbxGlobalTimeSettings FbxGlobalTimeSettings FbxGlobalTimeSettings FbxGlobalTimeSettings FbxGlobalTimeSettings FbxGlobalTimeSettings